use axum::{extract::DefaultBodyLimit, routing::get, routing::post, Router};

use crate::routes::{health::health_route, index::index_route, liquid::liquid_rescale_route};

pub fn create_router() -> Router {
    Router::new()
        .route("/", get(index_route))
        .route("/health", get(health_route))
        .route("/liquid", post(liquid_rescale_route))
        .layer(DefaultBodyLimit::max(1024 * 10_000 /* 10 MiB */))
}
