use std::sync::Once;

use anyhow::Result;
use magick_rust::{magick_wand_genesis, MagickWand};

static START: Once = Once::new();

pub fn liquid_rescale_image(image: &Vec<u8>) -> Result<Vec<u8>> {
    START.call_once(|| {
        magick_wand_genesis();
    });

    let wand = MagickWand::new();
    wand.read_image_blob(&image)?;
    wand.fit(640, 640);
    wand.liquid_rescale_image(320, 320, 1.0, 0.0)?;
    wand.fit(640, 640);
    let bytes = wand.write_image_blob("JPEG")?;
    Ok(bytes)
}
