use anyhow::Result;
use axum::extract::Multipart;

pub async fn parse_image(mut multipart: Multipart) -> Result<Vec<u8>> {
    while let Some(field) = multipart.next_field().await.unwrap() {
        if let Some("file") = field.name() {
            let bytes = field.bytes().await?;
            let image_data = bytes.to_vec();
            return Ok(image_data);
        }
    }

    Err(anyhow::anyhow!("Missing file field"))
}
